"use client";
import { useContext } from "react";
import { Swiper, SwiperSlide } from "swiper/react";
import { GalleryContext } from "@/providers/ProductGalleryProvider";
import { ButtonBase } from "@mui/material";
import Image from "next/image";

const ProductSimpleImageSwiper = () => {
  const { images, handleGalleryToggeler } = useContext(GalleryContext);
  return (
    <Swiper
      direction="horizontal"
      spaceBetween={16}
      style={{ width: "100%", maxWidth: "100%" }}
      slidesPerView={"auto"}
    >
      {images?.map((item, index) => (
        <SwiperSlide
          key={index.toString()}
          style={{ width: "127px", height: "180px" }}
        >
          <ButtonBase
            className="w-full h-full rounded-lg overflow-hidden border"
            onClick={handleGalleryToggeler}
          >
            <Image
              src={item.image}
              width={"0"}
              height={"0"}
              sizes="100vw"
              className="w-full h-full object-contain border rounded-lg"
              alt={item.alt}
              title={item.title}
            />
          </ButtonBase>
        </SwiperSlide>
      ))}
    </Swiper>
  );
};

export default ProductSimpleImageSwiper;
